Shared Galleries - List

List shared galleries by subscription id or tenant id.

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Compute/locations/{location}/sharedGalleries?api-version=2025-03-03
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Compute/locations/{location}/sharedGalleries?api-version=2025-03-03&sharedTo=tenant

URI Parameters

Name In Required Type Description
location
path True

string

minLength: 1

The name of Azure region.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

api-version
query True

string

minLength: 1

The API version to use for this operation.

sharedTo
query

SharedToValues

The query parameter to decide what shared galleries to fetch when doing listing operations.

Responses

Name Type Description
200 OK

SharedGalleryList

The request has succeeded.

Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

List shared galleries.

Sample request

GET https://management.azure.com/subscriptions/{subscription-id}/providers/Microsoft.Compute/locations/myLocation/sharedGalleries?api-version=2025-03-03&sharedTo=tenant

Sample response

{
  "value": [
    {
      "location": "myLocation",
      "name": "galleryUniqueName",
      "identifier": {
        "uniqueId": "/SharedGalleries/galleryUniqueName"
      },
      "properties": {
        "artifactTags": {
          "ShareTag-Official1PGallery": "Official1PGallery"
        }
      }
    }
  ],
  "nextLink": "http://svchost:99/subscriptions/subscriptionId/providers/Microsoft.Compute/sharedGalleries?$skiptoken=token/Subscriptions/subscriptionId/galleries/galleryUniqueName"
}

Definitions

Name Description
ApiError

Api error.

ApiErrorBase

Api error base.

CloudError

An error response from the Compute service.

InnerError

Inner error details.

SharedGallery

Specifies information about the Shared Gallery that you want to create or update.

SharedGalleryList

The List Shared Galleries operation response.

SharedToValues

The query parameter to decide what shared galleries to fetch when doing listing operations.

ApiError

Api error.

Name Type Description
code

string

The error code.

details

ApiErrorBase[]

The Api error details

innererror

InnerError

The Api inner error

message

string

The error message.

target

string

The target of the particular error.

ApiErrorBase

Api error base.

Name Type Description
code

string

The error code.

message

string

The error message.

target

string

The target of the particular error.

CloudError

An error response from the Compute service.

Name Type Description
error

ApiError

Api error.

InnerError

Inner error details.

Name Type Description
errordetail

string

The internal error message or exception dump.

exceptiontype

string

The exception type.

SharedGallery

Specifies information about the Shared Gallery that you want to create or update.

Name Type Description
identifier.uniqueId

string

The unique id of this shared gallery.

location

string

Resource location

name

string

Resource name

properties.artifactTags

object

The artifact tags of a shared gallery resource.

SharedGalleryList

The List Shared Galleries operation response.

Name Type Description
nextLink

string (uri)

The uri to fetch the next page of shared galleries. Call ListNext() with this to fetch the next page of shared galleries.

value

SharedGallery[]

A list of shared galleries.

SharedToValues

The query parameter to decide what shared galleries to fetch when doing listing operations.

Value Description
tenant